## CamelMboxSummary

CamelMboxSummary

## Functions

CamelMboxSummary * | camel_mbox_summary_new ()
void | camel_mbox_summary_xstatus ()
gint | camel_mbox_summary_sync_mbox ()

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelLocalSummary
                ╰── CamelMboxSummary
                    ╰── CamelSpoolSummary

## Description

## Functions

### camel_mbox_summary_new ()

    CamelMboxSummary *
    camel_mbox_summary_new (CamelFolder *folder,
                            const gchar *mbox_name,
                            CamelIndex *index);

Create a new CamelMboxSummary object.

#### Parameters

folder | a parent CamelFolder |
mbox_name | filename of the mbox |
index | an optional CamelIndex to use, or `NULL`. | [nullable]

#### Returns

A new CamelMboxSummary object.

[transfer full]

### camel_mbox_summary_xstatus ()

    void
    camel_mbox_summary_xstatus (CamelMboxSummary *mbs,
                                gint state);

### camel_mbox_summary_sync_mbox ()

    gint
    camel_mbox_summary_sync_mbox (CamelMboxSummary *cls,
                                  guint32 flags,
                                  CamelFolderChangeInfo *changeinfo,
                                  gint fd,
                                  gint fdout,
                                  GCancellable *cancellable,
                                  GError **error);